<?php
// Retourne la première image d'un article
if(!function_exists('get_first_image')) {
	function get_first_image($id, $size = "thumbnail") {
		$attachments = get_attached_media('image', $id);

		foreach($attachments as $image) {
			// Récupération de la hauteur d'origine
			if(in_array($size, array('thumbnail', 'medium', 'large', 'full'))) {
				$hauteur = get_option($size.'_size_h');
			} else {
				global $_wp_additional_image_sizes;
				$hauteur = $_wp_additional_image_sizes[$size]['height'];
			}

			// Récupération de la hauteur de l'image courante
			$imageSize = wp_get_attachment_image_src($image->ID, $size);
			
			// On retourne l'image la plus grande ou l'image originelle au bon format
			if($imageSize[2] < $hauteur) {
				$allImages[] = array($imageSize[2], $image->ID);
				rsort($allImages);
				// Retourne l'image la plus grande
				$result = wp_get_attachment_image($allImages[0][1], $size);
			} else {
				$result = wp_get_attachment_image($image->ID, $size);
				break; // On stoppe la boucle dès qu'une image est trouvée !
			}
		}
		return $result;
	}
}
?>